gnutls_oid_to_pk(3)

NAME
gnutls_oid_to_pk - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_pk_algorithm_t gnutls_oid_to_pk(const char * oid);

ARGUMENTS

const char * oid
    is an object identifier

DESCRIPTION
Converts a textual object identifier to a gnutls_pk_algorithm_t value.

RETURNS
a gnutls_pk_algorithm_t id of the specified digest algorithm, or GNUTLS_PK_UNKNOWN on failure.

SINCE
3.4.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/